/Users/bernard/b20/bsoft/src/ps/ps_model.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/ps/ps_model.cpp - Postscript output for models.

SYNOPSIS

#include 'ps_model.h'
#include 'ps_plot.h'
#include 'ps_views.h'
#include 'model_views.h'
#include 'model_compare.h'
#include 'model_util.h'
#include 'linked_list.h'
#include 'utilities.h'

  Functions
int ps_model_views (Bstring &filename, Bmodel *model, int combined)
Postscript plot of the distribution of model views.
int ps_model_symmetry_views (Bstring &filename, Bmodel *model, Bstring &symmetry_string, int combined)
Postscript plot of the distribution of model views.
int ps_model_fom_histogram (Bstring &filename, Bmodel *model)
Postscript plot of the model component FOM histogram.
int ps_model_occupancy (Bmodel *model, double cutoff, int bins, int nfit, vector< double > &distrib, vector< double > &prob, double R, Bstring &filename)
Generates a postscript plot for a model occupancy analysis.

  Variables
int verbose

Detailed Description

Postscript output for models.

Author:
    Bernard Heymann

Date:
    Created: 20090203

    Modified: 20190201

Definition in file ps_model.cpp.

Function Documentation

  int ps_model_fom_histogram (Bstring & filename, Bmodel * model)

Postscript plot of the model component FOM histogram.

Parameters:
    &filename output postscript file name.
    *model model parameter structure.

Returns:
    int 0, error if <0.

Definition at line 141 of file ps_model.cpp.

  int ps_model_occupancy (Bmodel * model, double cutoff, int bins, int nfit, vector< double > & distrib, vector< double > & prob, double R, Bstring & filename)

Generates a postscript plot for a model occupancy analysis.

Author:
    Daniel Nemecek

    Bernard Heymann

Parameters:
    *model model.
    cutoff coverage cutoff (if 0 don't show).
    bins number of bins for histograms.
    nfit number of binomial distributions to fit.
    <em>distrib distribution array ((3+nfit)(ncomp+1)).
    *prob weight and probability array (2*nfit).
    R binomial fit residual.
    &filename postscript file name.

Returns:
    int 0, <0 on error.

    The distribution and probability arrays must already be allocated
    and the content calculated with model_occupancy_distribution.

Definition at line 220 of file ps_model.cpp.

  int ps_model_symmetry_views (Bstring & filename, Bmodel * model, Bstring & symmetry_string, int combined)

Postscript plot of the distribution of model views.

Parameters:
    &filename output postscript file name.
    *model model parameter structure.
    &symmetry_string symmetry.
    combined flag to show all models combined.

Returns:
    int 0, error if <0.

Definition at line 92 of file ps_model.cpp.

  int ps_model_views (Bstring & filename, Bmodel * model, int combined)

Postscript plot of the distribution of model views.

Parameters:
    &filename output postscript file name.
    *model model parameter structure.
    combined flag to show all models combined.

Returns:
    int 0, error if <0.

Definition at line 28 of file ps_model.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.